<!doctype html>
<html lang="en">

<head>
    <title>Tema 4</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- Font -->
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
</head>

<style>
body {
    font-family: 'Roboto'; font-size: 15px;
}
</style>

<body>
    <div>
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <div class="old-password">Old Password</div>
                    <div class="one"><input type="password" class="old-password" id="old-pass"
                            placeholder="Current Password">
                    </div>
                    <div class="old"><input type="checkbox" onclick="oldPassword()">Show</div>
                    <button id="submit" type="submit">Submit form</button>
                </div>
                <div class="col-md-4">
                    <div class="new-password">New Password</div>
                    <div class="two"><input type="password" class="new-password" id="new-pass"
                            placeholder="New Password">
                    </div>
                    <div class="new"><input type="checkbox" onclick="newPassword()">Show</div>
                </div>
                <div class="col-md-4">
                    <div class="repeat-password">Repeat Password</div>
                    <div class="three"><input type="password" class="repeat-password" id="repeat-pass"
                            placeholder="Confirm Password">
                        <div class="repeat"><input type="checkbox" onclick="repeatPassword()">Show</div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
    function oldPassword() {
    var a = document.getElementById("old-pass");
    if (a.type === "password") {
        a.type = "text";
    } else {
        a.type = "password";
    }
}

function newPassword() {
    var b = document.getElementById("new-pass");
    if (b.type === "password") {
        b.type = "text";
    } else {
        b.type = "password";
    }
}

function repeatPassword() {
    var c = document.getElementById("repeat-pass");
    if (c.type === "password") {
        c.type = "text";
    } else {
        c.type = "password";
    }
}

window.onload = function () {
    document.getElementById('submit').onclick = function () {
        var pass1 = document.getElementById('new-pass').value;
        var pass2 = document.getElementById('repeat-pass').value;
        if (pass1 && pass2) {
            if (pass1 == pass2)
                alert('Password changed!');
            else
                alert("The two passwords don't match")
        }
    }
}

    </script>

    <!-- Optional JavaScript -->
    <script src="script.js"></script>
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous">
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous">
    </script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous">
    </script>
</body>

</html>
